Bug 145449 - purge excessive Req's (from libtool archives, pkgconfig)
purge excessive Req's (from libtool archives, pkgconfig)
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-01-18 12:08 EST by Rex Dieter
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-26 01:00:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
purge excessive libs from pkgconfig (474 bytes, patch)
2005-01-18 14:14 EST, Rex Dieter
no flags Details | Diff

  None (edit)
Description Rex Dieter 2005-01-18 12:08:36 EST
You can safely purge all libtool archives:
rm -rf $RPM_BUILD_ROOT%{_libdir}/lib*.la

and then you can (safely) remove the Requires's crud that's built-up
in the -devel subpkgs, ie, in the -devel subpkg:
Requires: bzip2-devel, freetype-devel 
Requires: libjpeg-devel, libpng-devel, libtiff-devel, zlib-devel,
Requires: libexif-devel

likewise for -c++-devel
Comment 1 Rex Dieter 2005-01-18 14:14:15 EST
Created attachment 109936 [details]
purge excessive libs from pkgconfig

Sample patch against (the latest atm) ImageMagick-6.1.8-8
Comment 2 Matthias Clasen 2005-04-26 01:00:47 EDT
Fixed in rawhide. FC3 update will be pushed to testing tomorrow.

Note You need to log in before you can comment on or make changes to this bug.